Subject: Re: linux-next: manual merge of the perf tree with the origin tree

From: Mark Brown <[email-masked]>
Date: Thu, 21 May 2026 16:30:57 +0100

On Thu, May 21, 2026 at 08:04:11AM -0700, Ian Rogers wrote:
> On Thu, May 21, 2026 at 7:55 AM Thorsten Leemhuis <[email-masked]> wrote:
> > On 5/21/26 12:19, Mark Brown wrote:

> > > between commit:

> > >   552636b9317c8 ("perf trace: Add beautifier script for fsmount flags")

> > > from the origin tree and commits:

> > >   32969ef6e3e19 ("perf build: Pre-generate BPF skeleton tooling during umbrella prepare phase")

> I believe this commit has issues with "perf trace: Add beautifier
> script for fsmount flags":
> https://web.git.kernel.org/pub/scm/linux/kernel/git/perf/perf-tools.git/commit/?h=perf-tools&id=552636b9317c8a843dd4496d77e56976ab48c76b
> This change went to the perf-tools tree and then to linux/master,
> while "perf build: Pre-generate BPF skeleton tooling during umbrella
> prepare phase" has gone to perf-tools-next and then to linux-next.
> I'll look into a fix.

Yes, that's exactly the conflict I identified above - the lack of
coordination there was pretty surprising TBH, and also the fact that
552636b9317c8 ("perf trace: Add beautifier script for fsmount flags")
went in after -rc1.